API DocumentationManufacturer production step controller

Rename production step

PATCH
/api/manufacturer/v1/production-step/{stepId}/rename

Updates the name of a production step

Authorization

Phasio API Bearer Token
AuthorizationBearer <token>

In: header

Path Parameters

stepId*string

ID of the production step to rename

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

New name for the production step

Response Body

application/json

curl -X PATCH "https://example.com/api/manufacturer/v1/production-step/497f6eca-6276-4993-bfeb-53cbbbba6f08/rename" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "groupId": "string",    "prefix": "string",    "type": "string",    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",    "operationName": "string",    "manufacturerUsername": "string",    "actorType": "string",    "isCompleted": true,    "completedAt": "string",    "createdAt": "string",    "updateDt": "string",    "productionStatusId": "44fdd4cb-6f56-49be-a233-2672a65887f7",    "productionStatusName": "string"  }]
Empty
Empty

Last updated on